Bug 1335971 - python3-aodhclient: Python 3 subpackage depends on Python 2
Summary: python3-aodhclient: Python 3 subpackage depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-aodhclient
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-05-13 16:42 UTC by Tomas Orsava
Modified: 2017-03-15 17:51 UTC (History)
4 users (show)

Fixed In Version: python-aodhclient-0.5.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 16:23:16 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-05-13 16:42:34 UTC
Hi!

There is a slight hiccup with the Python 3 support in this package: The `python3-aodhclient` subpackage depends on Python 3 as it should, but also on /usr/bin/python2.

This is very likely just a forgotten shebang which is not very troublesome to fix. I suggest reading the section on Shebangs on the Python RPM Porting Guide:

http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Thank you for your time!

Comment 1 Fedora Update System 2016-05-25 18:57:02 UTC
python-aodhclient-0.4.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d99cf757e5

Comment 2 Pradeep Kilambi 2016-05-25 18:58:12 UTC
Fix submitted for this and built packages in koji.

Comment 3 Fedora Update System 2016-05-26 05:01:12 UTC
python-aodhclient-0.4.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d99cf757e5

Comment 4 Alan Pevec 2016-05-30 08:27:25 UTC
RDO rpm-master review: http://review.rdoproject.org/r/1238

Comment 5 Tomas Orsava 2016-05-30 10:20:25 UTC
Hi Pradeep!

Thank you very much for taking the time to port your package!

I've seen you already pushed a ported spec file for rawhide, there is just a slight hiccup: Your `python3-aodhclient` subpackage depends on Python 3 as it should, but also on /usr/bin/python2.

This is very likely just a forgotten shebang which is not very troublesome to fix. I suggest reading the section on Shebangs on the Python RPM Porting Guide:

http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Thank you for your time!

Comment 6 Dominika Krejčí 2016-06-17 11:21:02 UTC
Hi Pradeep and Tomas,
there is a BuildRequire 'python-tools' instead of 'python3-tools' in the subpackage python3-aodhclient. Could it be the problem?

Comment 7 Pradeep Kilambi 2016-06-17 21:16:25 UTC
hmm i tried changing that to python3-tools but it still requires python2:

$ rpm -qRp /home/pkilambi/rpmbuild/RPMS/noarch/python3-aodhclient-0.5.0-1.fc23.noarch.rpm
/usr/bin/python2
/usr/bin/python3
python(abi) = 3.4
python3-babel >= 1.3
python3-cliff >= 1.14.0
python3-futurist
python3-keystoneauth1 >= 1.0.0
python3-oslo-i18n >= 1.5.0
python3-oslo-serialization >= 1.4.0
python3-oslo-utils >= 2.0.0
python3-six >= 1.9.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

I'm not sure why its depending on python2, anything obvious i'm missing?

Comment 8 Pradeep Kilambi 2016-06-17 21:47:11 UTC
I think i found the problem. The issue is i was including /usr/bin/aodh in python3 package. Which should be only in python2.

fixed in rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=773784

I'll push an update to bodhi.


$ rpm -qRp /home/pkilambi/rpmbuild/RPMS/noarch/python3-aodhclient-0.5.0-1.fc23.noarch.rpm
/usr/bin/python3
python(abi) = 3.4
python3-babel >= 1.3
python3-cliff >= 1.14.0
python3-futurist
python3-keystoneauth1 >= 1.0.0
python3-oslo-i18n >= 1.5.0
python3-oslo-serialization >= 1.4.0
python3-oslo-utils >= 2.0.0
python3-six >= 1.9.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 9 Fedora Update System 2016-06-17 21:54:52 UTC
python-aodhclient-0.5.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-196695f526

Comment 10 Fedora Update System 2016-06-18 16:25:34 UTC
python-aodhclient-0.5.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-196695f526

Comment 11 Tomas Orsava 2016-06-20 13:25:09 UTC
Hi Pradeep!

Thank you for taking the time, everything looks correct!

Comment 12 Jan Kurik 2016-07-26 04:55:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 13 Fedora Update System 2017-03-15 17:51:48 UTC
python-aodhclient-0.5.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.